maketx(1)

NAME
maketx -- convert images to tiled, MIP-mapped textures

SYNOPSIS
Usage: maketx [options] file...

DESCRIPTION
This program is part of the OpenImageIO (http://www.openimageio.org) tool suite. Detailed documentation is available in pdf format with the OpenImageIO distribution.

OPTIONS

--help
    Print help message

--version
    Print version and exit

-v  Verbose status messages

-o FILENAME
    Output filename

--threads NUMTHREADS
    Number of threads (default: #cores)

-u  Update mode

--format FILEFORMAT
    Specify output file format (default: guess from extension)

--nchannels N
    Specify the number of output image channels.

--chnames CHANNELNAMES
    Rename channels (comma-separated)

-d TYPE
    Set the output data format to one of: uint8, sint8, uint16, sint16, half, float

--tile WIDTH HEIGHT
    Specify tile size

--separate
    Use planarconfig separate (default: contiguous)

--compression NAME
    Set the compression method (default = zip, if possible)

--fovcot FOVCAT
    Override the frame aspect ratio. Default is width/height.

--wrap WRAP
    Specify wrap mode (black, clamp, periodic, mirror)

--swrap WRAP
    Specific s wrap mode separately

--twrap WRAP
    Specific t wrap mode separately

--resize
    Resize textures to power of 2 (default: no)

--keepaspect
    Keep the texture aspect ratio when resizing to power of 2

--filter FILTERNAME
    Select filter for resizing (choices: box triangle gaussian sharp-gaussian catmull-rom blackman-harris sinc lanczos3 radial-lanczos3 nuke-lanczos6 mitchell bspline disk cubic keys simon rifman, default=box)

--hicomp
    Compress HDR range before resize, expand after.

--sharpen SHARPEN
    Sharpen MIP levels (default = 0.0 = no)

--nomipmap
    Do not make multiple MIP-map levels

--checknan
    Check for NaN/Inf values (abort if found)

--fixnan STRATEGY
    Attempt to fix NaN/Inf values in the image (options: none, black, box3)

--fullpixels
    Set the 'full' image range to be the pixel data window --Mcamera %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f Set the camera matrix --Mscreen %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f Set the screen matrix --MNDC %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f Set the NDC matrix

--prman-metadata
    Add prman specific metadata

--attrib NAME VALUE
    Sets metadata attribute (name, value)

--sattrib NAME VALUE
    Sets string metadata attribute (name, value)

--sansattrib
    Write command line into Software & ImageHistory but remove --sattrib and --attrib options

--history
    Write full command line into Exif:ImageHistory, Software metadata attributes

--no-history
    Do not write full command line into Exif:ImageHistory, Software metadata attributes

--constant-color-detect
    Create 1-tile textures from constant color inputs

--monochrome-detect
    Create 1-channel textures from monochrome inputs

--opaque-detect
    Drop alpha channel that is always 1.0

--no-compute-average
    Don't compute and store average color

--ignore-unassoc
    Ignore unassociated alpha tags in input (don't autoconvert)

--runstats
    Print runtime statistics

--mipimage FILENAME
    Specify an individual MIP level

--cdf
    Store the forward and inverse Gaussian CDF as a lookup-table. The variance is set by cdfsigma (1/6 by default), and the number of buckets in the lookup table is determined by cdfbits (8 bit - 256 buckets by default)

--cdfsigma N
    Specify the Gaussian sigma parameter when writing the forward and inverse Gaussian CDF data. The default vale is 1/6 (0.1667)

--cdfbits N
    Specify the number of bits used to store the forward and inverse Gaussian CDF. The default value is 8 bits

Basic modes (default is plain texture):

    --shadow
        Create shadow map

    --envlatl
        Create lat/long environment map

    --lightprobe
        Create lat/long environment map from a light probe

    --bumpslopes
        Create a 6 channels bump-map with height, derivatives and square derivatives from an height or a normal map

    --uvslopes_scale VALUE
        If specified, compute derivatives for --bumpslopes in UV space rather than in texel space and divide them by a scale factor. 0=disable by default, only valid for height maps.

    --bumpformat NAME
        Specify the interpretation of a 3-channel input image for --bumpslopes: "height", "normal" or "auto" (default).

    --bumpscale N
        Set the scale factor for the bump-slope map. The default is 1.0

    --bumpinverts
        Invert the bump-slope map in the s (u) direction.

    --bumpinvertt
        Invert the bump-slope map in the t (v) direction.

    --slopefilter FILTER
        Specify the filter used to calculate the slope of a height map: "sobel" (default), "centraldiff" (matches txmake behavior).

    --bumprange RANGE
        Specify the expected range of values for the input normal map: "centered" from [-1,1], "positive" from [0,1] (traditional blue-ish normal map), "auto" will select this based off of the presence of negative values.

    --handed STRING
        Specify the handedness of a vector or normal map: "left", "right", or "" (default).

Color Management Options (OpenColorIO enabled)

    --colorconfig FILENAME
        Explicitly specify an OCIO configuration file

    --colorconvert IN OUT
        Apply a color space conversion to the image. If the output color space is not the same bit depth as input color space, it is your responsibility to set the data format to the proper bit depth using the -d option. (choices: sRGB - Display, Display P3 - Display, Rec.1886 Rec.709 - Display, Rec.2100-PQ - Display, ST2084-P3-D65 - Display, P3-D65 - Display, ACES2065-1, ACEScc, ACEScct, ACEScg, sRGB Encoded Rec.709 (sRGB), Gamma 1.8 Encoded Rec.709, Gamma 2.2 Encoded Rec.709, Gamma 2.4 Encoded Rec.709, sRGB Encoded P3-D65, Gamma 2.2 Encoded AdobeRGB, sRGB Encoded AP1, Gamma 2.2 Encoded AP1, Linear Rec.709 (sRGB), Linear P3-D65, Linear AdobeRGB, Linear Rec.2020, Raw)

    --unpremult
        Unpremultiply before color conversion, then premultiply after the color conversion. You'll probably want to use this flag if your image contains an alpha channel.

Configuration Presets

    --prman
        Use PRMan-safe settings for tile size, planarconfig, and metadata.

    --oiio
        Use OIIO-optimized settings for tile size, planarconfig, metadata.